<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Coding Train: Data/APIs 1</title>
  </head>
  <body>
    <img src="" id="lake" width="800"/>
    <script>
        console.log('about to fetch a lake');

        catchLake()
          .then(response => {
            console.log('yay');
          })
          .catch(error => {
            console.log('error!');
            console.error(error);
          });
          
        async function catchLake(){
            const response = await fetch('lake.jpg');
            const blob = await response.blob();
            document.getElementById('lake').src = URL.createObjectURL(blob);
        }
    </script>
  </body>
</html>